Crypt::RSA::Primitives(3)

NAME
Crypt::RSA::Primitives - RSA encryption, decryption, signature and verification primitives.

SYNOPSIS
    my $prim = new Crypt::RSA::Primitives;
    my $ctxt = $prim->core_encrypt (Key => $key, Plaintext => $string);
    my $ptxt = $prim->core_decrypt (Key => $key, Cyphertext => $ctxt);
    my $sign = $prim->core_sign    (Key => $key, Message => $string);
    my $vrfy = $prim->core_verify  (Key => $key, Signature => $sig);

DESCRIPTION
This module implements RSA encryption, decryption, signature and verfication primitives. These primitives should only be used in the context of an encryption or signing scheme. See Crypt::RSA::ES::OAEP(3), and Crypt::RSA::SS::PSS(3) for the implementation of two such schemes.

ERROR HANDLING
See ERROR HANDLING in Crypt::RSA(3) manpage.

AUTHOR
Vipul Ved Prakash, <mail@vipul.net>

SEE ALSO
Crypt::RSA(3), Crypt::RSA::Key(3), Crypt::RSA::ES::OAEP(3), Crypt::RSA::SS::PSS(3)